/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.ws.addressing;

/**
 * @author chamerling - eBM WebSourcing
 * 
 */
public class MessageHeader {
    /**
     * The action
     */
    protected String action;

    /**
     * EPR to send fault to
     */
    protected EndpointReference faultToEPR;

    /**
     * EPR of the message sender
     */
    protected EndpointReference fromEPR;

    /**
     * Message ID
     */
    protected String messageID;

    /**
     * EPR to send reply to
     */
    protected EndpointReference replyToEPR;

    /**
     * EPR to send message to
     */
    protected EndpointReference toEPR;

    /**
     * 
     * Creates a new instance of {@link MessageHeader}
     * 
     */
    public MessageHeader() {
    }

    /**
     * @return the action
     */
    public String getAction() {
        return this.action;
    }

    /**
     * @param action
     *            the action to set
     */
    public void setAction(String action) {
        this.action = action;
    }

    /**
     * @return the faultTo
     */
    public EndpointReference getFaultToEPR() {
        return this.faultToEPR;
    }

    /**
     * @param faultTo
     *            the faultTo to set
     */
    public void setFaultToEPR(EndpointReference faultTo) {
        this.faultToEPR = faultTo;
    }

    /**
     * @return the from
     */
    public EndpointReference getFromEPR() {
        return this.fromEPR;
    }

    /**
     * @param from
     *            the from to set
     */
    public void setFromEPR(EndpointReference from) {
        this.fromEPR = from;
    }

    /**
     * @return the messageID
     */
    public String getMessageID() {
        return this.messageID;
    }

    /**
     * @param messageID
     *            the messageID to set
     */
    public void setMessageID(String messageID) {
        this.messageID = messageID;
    }

    /**
     * @return the replyTo
     */
    public EndpointReference getReplyToEPR() {
        return this.replyToEPR;
    }

    /**
     * @param replyTo
     *            the replyTo to set
     */
    public void setReplyToEPR(EndpointReference replyTo) {
        this.replyToEPR = replyTo;
    }

    /**
     * @return the to
     */
    public EndpointReference getToEPR() {
        return this.toEPR;
    }

    /**
     * @param to
     *            the to to set
     */
    public void setToEPR(EndpointReference to) {
        this.toEPR = to;
    }
}
