/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.ws.notification;

import org.ow2.petals.ws.addressing.EndpointReference;

/**
 * The subscribe response object.
 *
 * @author chamerling - eBM WebSourcing
 *
 */
public class SubscribeResponse {

    protected String currentTime;

    protected EndpointReference subscriptionEPR;

    protected String terminationTime;

    /**
     *
     * Creates a new instance of {@link SubscribeResponse}
     *
     */
    public SubscribeResponse() {
    }

    /**
     *
     * @return
     */
    public String getCurrentTime() {
        return this.currentTime;
    }

    /**
     *
     * @return
     */
    public EndpointReference getSubscriptionReference() {
        return this.subscriptionEPR;
    }

    /**
     *
     * @return
     */
    public String getTerminationTime() {
        return this.terminationTime;
    }

    /**
     * @return the subscriptionEPR
     */
    public EndpointReference getSubscriptionEPR() {
        return this.subscriptionEPR;
    }

    /**
     * @param subscriptionEPR
     *            the subscriptionEPR to set
     */
    public void setSubscriptionEPR(EndpointReference subscriptionEPR) {
        this.subscriptionEPR = subscriptionEPR;
    }

    /**
     * @param currentTime
     *            the currentTime to set
     */
    public void setCurrentTime(String currentTime) {
        this.currentTime = currentTime;
    }

    /**
     * @param terminationTime
     *            the terminationTime to set
     */
    public void setTerminationTime(String terminationTime) {
        this.terminationTime = terminationTime;
    }
}
