/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.ws.notification.handlers.request;

import javax.xml.namespace.QName;

import org.apache.axiom.om.OMElement;
import org.apache.axiom.soap.SOAPBody;
import org.apache.axiom.soap.SOAPEnvelope;
import org.ow2.petals.ws.fault.WsnFault;
import org.ow2.petals.ws.notification.GetCurrentMessage;
import org.ow2.petals.ws.notification.NotificationMessage;
import org.ow2.petals.ws.notification.WsnConstants;
import org.ow2.petals.ws.notification.WsnHelper;
import org.ow2.petals.ws.util.AxiomHelper;

/**
 * @author chamerling - eBM WebSourcing
 *
 */
public class GetCurrentMessageHandler extends WSNHandler {

    /**
     * Creates a new instance of {@link GetCurrentMessageHandler}
     *
     */
    public GetCurrentMessageHandler() {
        super(WsnConstants.GET_CURRENT_URI, WsnConstants.GET_CURRENT_QNAME);
    }

    /*
     * (non-Javadoc)
     *
     * @see org.objectweb.petals.binding.soap.wsn.handlers.WSNHandler#handle(org.apache.axiom.soap.SOAPEnvelope)
     */
    @Override
    public SOAPEnvelope handle(SOAPEnvelope envelope) throws WsnFault {
        SOAPEnvelope result = null;
        SOAPBody body = envelope.getBody();

        OMElement getCurrentMessageRequestElement = body
                .getFirstChildWithName(WsnConstants.GET_CURRENT_QNAME);
        GetCurrentMessage getCurrentMessage = WsnHelper
                .getCurrentMessageFromOM(getCurrentMessageRequestElement);

        QName topicPath = getCurrentMessage.getTopicPath();
        NotificationMessage currentMessage = this.manager
                .getCurrentMessage(topicPath);

        return result;
    }

    /**
     *
     * @param message
     * @return
     */
    protected SOAPEnvelope createGetCurrentMessageResponse(
            NotificationMessage message) {
        SOAPEnvelope envelope = AxiomHelper.createSOAPEnvelope();

        return envelope;
    }

}
