/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.ws.notification.handlers.request;

import javax.xml.namespace.QName;

import org.apache.axiom.soap.SOAPEnvelope;
import org.ow2.petals.ws.fault.WsnFault;
import org.ow2.petals.ws.notification.WsnManager;

/**
 * Web service notification handler
 *
 * @author chamerling - eBM WebSourcing
 *
 */
public abstract class WSNHandler {

    protected String actionURI;

    protected QName requestQName;

    protected WsnManager manager;

    /**
     * Creates a new instance of {@link WSNHandler}
     *
     * @param action
     */
    public WSNHandler(String actionURI, QName requestQName) {
        this.actionURI = actionURI;
        this.requestQName = requestQName;
    }

    /**
     *
     * @return
     */
    public String getActionURI() {
        return this.actionURI;
    }

    /**
     *
     * @param manager
     */
    public void setManager(WsnManager manager) {
        this.manager = manager;
    }

    /**
     *
     * @param envelope
     * @return
     * @throws WsnFault
     */
    public abstract SOAPEnvelope handle(SOAPEnvelope envelope) throws WsnFault;

}
